package com.unis.detectionnum.common.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

/*
 *设备扫描记录表实体类
 */
@SuppressWarnings("serial")
@Data
public class DeviceOperateVO  implements Serializable {
	
	//主键，记录id
    private String id;

    //设备编号（库区code+仓房code+001）
    private String sbCode;

    //粮食体积（m3）
    private Double lsTj;

    //粮食重量（吨）
    private Double lsZl;

    //粮食等效高度
    private Double lsDxgu;

    //扫描次数
    private Integer sbSmcs;

    //设备扫描开始时间
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date sbKssj;

    //设备扫描结束时间
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date sbJssj;

    //备注
    private String remark;

    //扫描高度
    private Double smgd;

    //扫描长度
    private Double smcd;

    //扫描宽度
    private Double smkd;

    //扫描左边长度的一部分距离
    private Double smax;

    //扫描右边长度一部分距离
    private Double smby;

    //判断第一次扫描完的状态 0 ：未扫完 1：已扫完
    private Integer flag;

    private Double cfgd;

    private Double zLXGD;

    private Double wd;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSbCode() {
        return sbCode;
    }

    public void setSbCode(String sbCode) {
        this.sbCode = sbCode;
    }

    public Double getLsTj() {
        return lsTj;
    }

    public void setLsTj(Double lsTj) {
        this.lsTj = lsTj;
    }

    public Double getLsZl() {
        return lsZl;
    }

    public void setLsZl(Double lsZl) {
        this.lsZl = lsZl;
    }

    public Double getLsDxgu() {
        return lsDxgu;
    }

    public void setLsDxgu(Double lsDxgu) {
        this.lsDxgu = lsDxgu;
    }

    public Integer getSbSmcs() {
        return sbSmcs;
    }

    public void setSbSmcs(Integer sbSmcs) {
        this.sbSmcs = sbSmcs;
    }

    public Date getSbKssj() {
        return sbKssj;
    }

    public void setSbKssj(Date sbKssj) {
        this.sbKssj = sbKssj;
    }

    public Date getSbJssj() {
        return sbJssj;
    }

    public void setSbJssj(Date sbJssj) {
        this.sbJssj = sbJssj;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Double getSmgd() {
        return smgd;
    }

    public void setSmgd(Double smgd) {
        this.smgd = smgd;
    }

    public Double getSmcd() {
        return smcd;
    }

    public void setSmcd(Double smcd) {
        this.smcd = smcd;
    }

    public Double getSmkd() {
        return smkd;
    }

    public void setSmkd(Double smkd) {
        this.smkd = smkd;
    }

    public Double getSmax() {
        return smax;
    }

    public void setSmax(Double smax) {
        this.smax = smax;
    }

    public Double getSmby() {
        return smby;
    }

    public void setSmby(Double smby) {
        this.smby = smby;
    }

    public Integer getFlag() {
        return flag;
    }

    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    public Double getCfgd() {
        return cfgd;
    }

    public void setCfgd(Double cfgd) {
        this.cfgd = cfgd;
    }

    public Double getZLXGD() {
        return zLXGD;
    }

    public void setZLXGD(Double zLXGD) {
        this.zLXGD = zLXGD;
    }

    public Double getWd() {
        return wd;
    }

    public void setWd(Double wd) {
        this.wd = wd;
    }
}